Skip to main content

Create OffRamp Order

POST 

/v1/offramp/orders/create

Create a new offramp order for selling crypto. Pass fiatAmount to create order based on fiat amount or sellTokenAmount to create order based on crypto amount. Do not pass both at once.

  • senderWalletAddress: The address from which the user is sending crypto to our wallet (mandatory). We verify if crypto is received from this address to our wallet address.
  • refundWalletAddress: The user's wallet address in case of refunds. Both senderWalletAddress and refundWalletAddress can be the same address.
  • Note: If using the merchant wallet flow, skip passing both senderWalletAddress and refundWalletAddress values.

After creating the order, send the crypto funds to the receiverWalletAddress returned in the response.

Settlement

  • Standard settlement: Within 24 banking hours after crypto is received and verified.
  • Instant settlement: Available upon request. Please inform us of your expected order volume in advance so we can maintain sufficient float. Availability is subject to internal approval.

Request

Responses

OffRamp order created — send crypto to the receiverWalletAddress returned in the response.